.datepicker2--cell-day.-other-month-,
.datepicker2--cell-year.-other-decade- {
  color: #dedede;
}

.datepicker2--cell-day.-other-month-:hover,
.datepicker2--cell-year.-other-decade-:hover {
  color: #c5c5c5;
}

.-disabled-.-focus-.datepicker2--cell-day.-other-month-,
.-disabled-.-focus-.datepicker2--cell-year.-other-decade- {
  color: #dedede;
}

.-selected-.datepicker2--cell-day.-other-month-,
.-selected-.datepicker2--cell-year.-other-decade- {
  color: #fff;
  background: #a2ddf6;
}

.-selected-.-focus-.datepicker2--cell-day.-other-month-,
.-selected-.-focus-.datepicker2--cell-year.-other-decade- {
  background: #8ad5f4;
}

.-in-range-.datepicker2--cell-day.-other-month-,
.-in-range-.datepicker2--cell-year.-other-decade- {
  background-color: rgba(92, 196, 239, 0.1);
  color: #cccccc;
}

.-in-range-.-focus-.datepicker2--cell-day.-other-month-,
.-in-range-.-focus-.datepicker2--cell-year.-other-decade- {
  background-color: rgba(92, 196, 239, 0.2);
}

.datepicker2--cell-day.-other-month-:empty,
.datepicker2--cell-year.-other-decade-:empty {
  background: none;
  border: none;
}


/* -------------------------------------------------
    Datepicker cells
    ------------------------------------------------- */

    .datepicker2--cells {
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-flex-wrap: wrap;
      -ms-flex-wrap: wrap;
      flex-wrap: wrap;
    }

    .datepicker2--cell {
      border-radius: 4px;
      box-sizing: border-box;
      cursor: pointer;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      position: relative;
      -webkit-align-items: center;
      -ms-flex-align: center;
      align-items: center;
      -webkit-justify-content: center;
      -ms-flex-pack: center;
      justify-content: center;
      height: 32px;
      z-index: 1;
      font-size: 13px;
    }

    .datepicker2--cell.-focus- {
      background: #f0f0f0;
    }

    .datepicker2--cell.-current- {
      color: #f58233;
    }

    .datepicker2--cell.-current-.-focus- {
      color: #4a4a4a;
    }

    .datepicker2--cell.-current-.-in-range- {
      color: #4EB5E6;
    }

    .datepicker2--cell.-in-range- {
      background: rgba(92, 196, 239, 0.1);
      color: #4a4a4a;
      border-radius: 0;
    }

    .datepicker2--cell.-in-range-.-focus- {
      background-color: rgba(92, 196, 239, 0.2);
    }

    .datepicker2--cell.-disabled- {
      cursor: default;
      color: #aeaeae;
    }

    .datepicker2--cell.-disabled-.-focus- {
      color: #aeaeae;
    }

    .datepicker2--cell.-disabled-.-in-range- {
      color: #a1a1a1;
    }

    .datepicker2--cell.-disabled-.-current-.-focus- {
      color: #aeaeae;
    }

    .datepicker2--cell.-range-from- {
      border: 1px solid rgba(92, 196, 239, 0.5);
      background-color: rgba(92, 196, 239, 0.1);
      border-radius: 4px 0 0 4px;
    }

    .datepicker2--cell.-range-to- {
      border: 1px solid rgba(92, 196, 239, 0.5);
      background-color: rgba(92, 196, 239, 0.1);
      border-radius: 0 4px 4px 0;
    }

    .datepicker2--cell.-range-from-.-range-to- {
      border-radius: 4px;
    }

    .datepicker2--cell.-selected- {
      color: #fff;
      border: none;
      background: #f79f5f;
    }

    .datepicker2--cell.-selected-.-current- {
      color: #fff;
      background: #0f6f99;
    }

    .datepicker2--cell.-selected-.-focus- {
      background: #f58233;
    }

    .datepicker2--cell:empty {
      cursor: default;
    }

    .datepicker2--days-names {
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-flex-wrap: wrap;
      -ms-flex-wrap: wrap;
      flex-wrap: wrap;
      margin: 8px 0 3px;
    }

    .datepicker2--day-name {
      /*color: #f58233;*/
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-align-items: center;
      -ms-flex-align: center;
      align-items: center;
      -webkit-justify-content: center;
      -ms-flex-pack: center;
      justify-content: center;
      -webkit-flex: 1;
      -ms-flex: 1;
      flex: 1;
      text-align: center;
      text-transform: uppercase;
      font-size: .8em;
      font-weight: 600;
    }

    .datepicker2--cell-day {
      width: 14.28571%;
    }

    .datepicker2--cells-months {
      height: 170px;
    }

    .datepicker2--cell-month {
      width: 33.33%;
      height: 25%;
    }

    .datepicker2--years {
      height: 170px;
    }

    .datepicker2--cells-years {
      height: 170px;
    }

    .datepicker2--cell-year {
      width: 25%;
      height: 33.33%;
    }

    .datepicker2--cell-day.-other-month-,
    .datepicker2--cell-year.-other-decade- {
      color: #dedede;
    }

    .datepicker2--cell-day.-other-month-:hover,
    .datepicker2--cell-year.-other-decade-:hover {
      color: #c5c5c5;
    }

    .-disabled-.-focus-.datepicker2--cell-day.-other-month-,
    .-disabled-.-focus-.datepicker2--cell-year.-other-decade- {
      color: #dedede;
    }

    .-selected-.datepicker2--cell-day.-other-month-,
    .-selected-.datepicker2--cell-year.-other-decade- {
      color: #fff;
      background: #a2ddf6;
    }

    .-selected-.-focus-.datepicker2--cell-day.-other-month-,
    .-selected-.-focus-.datepicker2--cell-year.-other-decade- {
      background: #8ad5f4;
    }

    .-in-range-.datepicker2--cell-day.-other-month-,
    .-in-range-.datepicker2--cell-year.-other-decade- {
      background-color: rgba(92, 196, 239, 0.1);
      color: #cccccc;
    }

    .-in-range-.-focus-.datepicker2--cell-day.-other-month-,
    .-in-range-.-focus-.datepicker2--cell-year.-other-decade- {
      background-color: rgba(92, 196, 239, 0.2);
    }

    .datepicker2--cell-day.-other-month-:empty,
    .datepicker2--cell-year.-other-decade-:empty {
      background: none;
      border: none;
    }


/* -------------------------------------------------
    Datepicker
    ------------------------------------------------- */

    .datepickers-container {
      position: absolute;
      left: 0;
      top: 0;
    }

    @media print {
      .datepickers-container {
        display: none;
      }
    }

    .datepicker2 {
      background: #fff;
      border: 1px solid #dbdbdb;
      box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
      border-radius: 4px;
      box-sizing: content-box;
      /*font-family: Tahoma, sans-serif;*/
      font-size: 14px;
      color: #4a4a4a;
      width: 250px;
      position: absolute;
      left: -100000px;
      opacity: 0;
      transition: opacity 0.3s ease, left 0s 0.3s, -webkit-transform 0.3s ease;
      transition: opacity 0.3s ease, transform 0.3s ease, left 0s 0.3s;
      transition: opacity 0.3s ease, transform 0.3s ease, left 0s 0.3s, -webkit-transform 0.3s ease;
      z-index: 100;
    }

    .datepicker2.-from-top- {
      -webkit-transform: translateY(-8px);
      transform: translateY(-8px);
    }

    .datepicker2.-from-right- {
      -webkit-transform: translateX(8px);
      transform: translateX(8px);
    }

    .datepicker2.-from-bottom- {
      -webkit-transform: translateY(8px);
      transform: translateY(8px);
    }

    .datepicker2.-from-left- {
      -webkit-transform: translateX(-8px);
      transform: translateX(-8px);
    }

    .datepicker2.active {
      opacity: 1;
      -webkit-transform: translate(0);
      transform: translate(0);
      transition: opacity 0.3s ease, left 0s 0s, -webkit-transform 0.3s ease;
      transition: opacity 0.3s ease, transform 0.3s ease, left 0s 0s;
      transition: opacity 0.3s ease, transform 0.3s ease, left 0s 0s, -webkit-transform 0.3s ease;
    }

    .datepicker2-inline .datepicker2 {
      border-color: #d7d7d7;
      box-shadow: none;
      position: static;
      left: auto;
      right: auto;
      opacity: 1;
      -webkit-transform: none;
      transform: none;
    }

    .datepicker2-inline .datepicker2--pointer {
      display: none;
    }

    .datepicker2--content {
      box-sizing: content-box;
      padding: 4px;
    }

    .-only-timepicker- .datepicker2--content {
      display: none;
    }

    .datepicker2--pointer {
      position: absolute;
      background: #fff;
      border-top: 1px solid #dbdbdb;
      border-right: 1px solid #dbdbdb;
      width: 10px;
      height: 10px;
      z-index: -1;
    }

    .-top-left- .datepicker2--pointer,
    .-top-center- .datepicker2--pointer,
    .-top-right- .datepicker2--pointer {
      top: calc(100% - 4px);
      -webkit-transform: rotate(135deg);
      transform: rotate(135deg);
    }

    .-right-top- .datepicker2--pointer,
    .-right-center- .datepicker2--pointer,
    .-right-bottom- .datepicker2--pointer {
      right: calc(100% - 4px);
      -webkit-transform: rotate(225deg);
      transform: rotate(225deg);
    }

    .-bottom-left- .datepicker2--pointer,
    .-bottom-center- .datepicker2--pointer,
    .-bottom-right- .datepicker2--pointer {
      bottom: calc(100% - 4px);
      -webkit-transform: rotate(315deg);
      transform: rotate(315deg);
    }

    .-left-top- .datepicker2--pointer,
    .-left-center- .datepicker2--pointer,
    .-left-bottom- .datepicker2--pointer {
      left: calc(100% - 4px);
      -webkit-transform: rotate(45deg);
      transform: rotate(45deg);
    }

    .-top-left- .datepicker2--pointer,
    .-bottom-left- .datepicker2--pointer {
      left: 10px;
    }

    .-top-right- .datepicker2--pointer,
    .-bottom-right- .datepicker2--pointer {
      right: 10px;
    }

    .-top-center- .datepicker2--pointer,
    .-bottom-center- .datepicker2--pointer {
      left: calc(50% - 10px / 2);
    }

    .-left-top- .datepicker2--pointer,
    .-right-top- .datepicker2--pointer {
      top: 10px;
    }

    .-left-bottom- .datepicker2--pointer,
    .-right-bottom- .datepicker2--pointer {
      bottom: 10px;
    }

    .-left-center- .datepicker2--pointer,
    .-right-center- .datepicker2--pointer {
      top: calc(50% - 10px / 2);
    }

    .datepicker2--body {
      display: none;
    }

    .datepicker2--body.active {
      display: block;
    }

    .datepicker2--cell-day.-other-month-,
    .datepicker2--cell-year.-other-decade- {
      color: #dedede;
    }

    .datepicker2--cell-day.-other-month-:hover,
    .datepicker2--cell-year.-other-decade-:hover {
      color: #c5c5c5;
    }

    .-disabled-.-focus-.datepicker2--cell-day.-other-month-,
    .-disabled-.-focus-.datepicker2--cell-year.-other-decade- {
      color: #dedede;
    }

    .-selected-.datepicker2--cell-day.-other-month-,
    .-selected-.datepicker2--cell-year.-other-decade- {
      color: #fff;
      background: #a2ddf6;
    }

    .-selected-.-focus-.datepicker2--cell-day.-other-month-,
    .-selected-.-focus-.datepicker2--cell-year.-other-decade- {
      background: #8ad5f4;
    }

    .-in-range-.datepicker2--cell-day.-other-month-,
    .-in-range-.datepicker2--cell-year.-other-decade- {
      background-color: rgba(92, 196, 239, 0.1);
      color: #cccccc;
    }

    .-in-range-.-focus-.datepicker2--cell-day.-other-month-,
    .-in-range-.-focus-.datepicker2--cell-year.-other-decade- {
      background-color: rgba(92, 196, 239, 0.2);
    }

    .datepicker2--cell-day.-other-month-:empty,
    .datepicker2--cell-year.-other-decade-:empty {
      background: none;
      border: none;
    }


/* -------------------------------------------------
    Navigation
    ------------------------------------------------- */

    .datepicker2--nav {
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-justify-content: space-between;
      -ms-flex-pack: justify;
      justify-content: space-between;
      border-bottom: 1px solid #efefef;
      min-height: 32px;
      padding: 4px;
    }

    .-only-timepicker- .datepicker2--nav {
      display: none;
    }

    .datepicker2--nav-title,
    .datepicker2--nav-action {
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      cursor: pointer;
      -webkit-align-items: center;
      -ms-flex-align: center;
      align-items: center;
      -webkit-justify-content: center;
      -ms-flex-pack: center;
      justify-content: center;
    }

    .datepicker2--nav-action {
      width: 32px;
      border-radius: 4px;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
    }

    .datepicker2--nav-action:hover {
      background: #f0f0f0;
    }

    .datepicker2--nav-action.-disabled- {
      visibility: hidden;
    }

    .datepicker2--nav-action svg {
      width: 32px;
      height: 32px;
    }

    .datepicker2--nav-action path {
      fill: none;
      stroke: #9c9c9c;
      stroke-width: 2px;
    }

    .datepicker2--nav-title {
      border-radius: 4px;
      padding: 0 8px;
    }

    .datepicker2--nav-title i {
      font-style: normal;
      color: #9c9c9c;
      margin-left: 5px;
    }

    .datepicker2--nav-title:hover {
      background: #f0f0f0;
    }

    .datepicker2--nav-title.-disabled- {
      cursor: default;
      background: none;
    }

    .datepicker2--buttons {
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      padding: 4px;
      border-top: 1px solid #efefef;
    }

    .datepicker2--button {
      color: #4EB5E6;
      cursor: pointer;
      border-radius: 4px;
      -webkit-flex: 1;
      -ms-flex: 1;
      flex: 1;
      display: -webkit-inline-flex;
      display: -ms-inline-flexbox;
      display: inline-flex;
      -webkit-justify-content: center;
      -ms-flex-pack: center;
      justify-content: center;
      -webkit-align-items: center;
      -ms-flex-align: center;
      align-items: center;
      height: 32px;
    }

    .datepicker2--button:hover {
      color: #4a4a4a;
      background: #f0f0f0;
    }

    .datepicker2--cell-day.-other-month-,
    .datepicker2--cell-year.-other-decade- {
      color: #dedede;
    }

    .datepicker2--cell-day.-other-month-:hover,
    .datepicker2--cell-year.-other-decade-:hover {
      color: #c5c5c5;
    }

    .-disabled-.-focus-.datepicker2--cell-day.-other-month-,
    .-disabled-.-focus-.datepicker2--cell-year.-other-decade- {
      color: #dedede;
    }

    .-selected-.datepicker2--cell-day.-other-month-,
    .-selected-.datepicker2--cell-year.-other-decade- {
      color: #fff;
      background: #a2ddf6;
    }

    .-selected-.-focus-.datepicker2--cell-day.-other-month-,
    .-selected-.-focus-.datepicker2--cell-year.-other-decade- {
      background: #8ad5f4;
    }

    .-in-range-.datepicker2--cell-day.-other-month-,
    .-in-range-.datepicker2--cell-year.-other-decade- {
      background-color: rgba(92, 196, 239, 0.1);
      color: #cccccc;
    }

    .-in-range-.-focus-.datepicker2--cell-day.-other-month-,
    .-in-range-.-focus-.datepicker2--cell-year.-other-decade- {
      background-color: rgba(92, 196, 239, 0.2);
    }

    .datepicker2--cell-day.-other-month-:empty,
    .datepicker2--cell-year.-other-decade-:empty {
      background: none;
      border: none;
    }


/* -------------------------------------------------
    Timepicker
    ------------------------------------------------- */

    .datepicker2--time {
      border-top: 1px solid #efefef;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-align-items: center;
      -ms-flex-align: center;
      align-items: center;
      padding: 4px;
      position: relative;
    }

    .datepicker2--time.-am-pm- .datepicker2--time-sliders {
      -webkit-flex: 0 1 138px;
      -ms-flex: 0 1 138px;
      flex: 0 1 138px;
      max-width: 138px;
    }

    .-only-timepicker- .datepicker2--time {
      border-top: none;
    }

    .datepicker2--time-sliders {
      -webkit-flex: 0 1 153px;
      -ms-flex: 0 1 153px;
      flex: 0 1 153px;
      margin-right: 10px;
      max-width: 153px;
    }

    .datepicker2--time-label {
      display: none;
      font-size: 12px;
    }

    .datepicker2--time-current {
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-align-items: center;
      -ms-flex-align: center;
      align-items: center;
      -webkit-flex: 1;
      -ms-flex: 1;
      flex: 1;
      font-size: 14px;
      text-align: center;
      margin: 0 0 0 10px;
    }

    .datepicker2--time-current-colon {
      margin: 0 2px 3px;
      line-height: 1;
    }

    .datepicker2--time-current-hours,
    .datepicker2--time-current-minutes {
      line-height: 1;
      font-size: 19px;
      /*font-family: "Century Gothic", CenturyGothic, AppleGothic, sans-serif;*/
      position: relative;
      z-index: 1;
    }

    .datepicker2--time-current-hours:after,
    .datepicker2--time-current-minutes:after {
      content: '';
      background: #f0f0f0;
      border-radius: 4px;
      position: absolute;
      left: -2px;
      top: -3px;
      right: -2px;
      bottom: -2px;
      z-index: -1;
      opacity: 0;
    }

    .datepicker2--time-current-hours.-focus-:after,
    .datepicker2--time-current-minutes.-focus-:after {
      opacity: 1;
    }

    .datepicker2--time-current-ampm {
      text-transform: uppercase;
      -webkit-align-self: flex-end;
      -ms-flex-item-align: end;
      align-self: flex-end;
      color: #9c9c9c;
      margin-left: 6px;
      font-size: 11px;
      margin-bottom: 1px;
    }

    .datepicker2--time-row {
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-align-items: center;
      -ms-flex-align: center;
      align-items: center;
      font-size: 11px;
      height: 17px;
      background: linear-gradient(to right, #dedede, #dedede) left 50%/100% 1px no-repeat;
    }

    .datepicker2--time-row:first-child {
      margin-bottom: 4px;
    }

    .datepicker2--time-row input[type='range'] {
      background: none;
      cursor: pointer;
      -webkit-flex: 1;
      -ms-flex: 1;
      flex: 1;
      height: 100%;
      padding: 0;
      margin: 0;
      -webkit-appearance: none;
    }

    .datepicker2--time-row input[type='range']::-webkit-slider-thumb {
      -webkit-appearance: none;
    }

    .datepicker2--time-row input[type='range']::-ms-tooltip {
      display: none;
    }

    .datepicker2--time-row input[type='range']:hover::-webkit-slider-thumb {
      border-color: #b8b8b8;
    }

    .datepicker2--time-row input[type='range']:hover::-moz-range-thumb {
      border-color: #b8b8b8;
    }

    .datepicker2--time-row input[type='range']:hover::-ms-thumb {
      border-color: #b8b8b8;
    }

    .datepicker2--time-row input[type='range']:focus {
      outline: none;
    }

    .datepicker2--time-row input[type='range']:focus::-webkit-slider-thumb {
      background: #0f6f99;
      border-color: #0f6f99;
    }

    .datepicker2--time-row input[type='range']:focus::-moz-range-thumb {
      background: #0f6f99;
      border-color: #0f6f99;
    }

    .datepicker2--time-row input[type='range']:focus::-ms-thumb {
      background: #0f6f99;
      border-color: #0f6f99;
    }

    .datepicker2--time-row input[type='range']::-webkit-slider-thumb {
      box-sizing: border-box;
      height: 12px;
      width: 12px;
      border-radius: 3px;
      border: 1px solid #dedede;
      background: #fff;
      cursor: pointer;
      transition: background .2s;
    }

    .datepicker2--time-row input[type='range']::-moz-range-thumb {
      box-sizing: border-box;
      height: 12px;
      width: 12px;
      border-radius: 3px;
      border: 1px solid #dedede;
      background: #fff;
      cursor: pointer;
      transition: background .2s;
    }

    .datepicker2--time-row input[type='range']::-ms-thumb {
      box-sizing: border-box;
      height: 12px;
      width: 12px;
      border-radius: 3px;
      border: 1px solid #dedede;
      background: #fff;
      cursor: pointer;
      transition: background .2s;
    }

    .datepicker2--time-row input[type='range']::-webkit-slider-thumb {
      margin-top: -6px;
    }

    .datepicker2--time-row input[type='range']::-webkit-slider-runnable-track {
      border: none;
      height: 1px;
      cursor: pointer;
      color: transparent;
      background: transparent;
    }

    .datepicker2--time-row input[type='range']::-moz-range-track {
      border: none;
      height: 1px;
      cursor: pointer;
      color: transparent;
      background: transparent;
    }

    .datepicker2--time-row input[type='range']::-ms-track {
      border: none;
      height: 1px;
      cursor: pointer;
      color: transparent;
      background: transparent;
    }

    .datepicker2--time-row input[type='range']::-ms-fill-lower {
      background: transparent;
    }

    .datepicker2--time-row input[type='range']::-ms-fill-upper {
      background: transparent;
    }

    .datepicker2--time-row span {
      padding: 0 12px;
    }

    .datepicker2--time-icon {
      color: #9c9c9c;
      border: 1px solid;
      border-radius: 50%;
      font-size: 16px;
      position: relative;
      margin: 0 5px -1px 0;
      width: 1em;
      height: 1em;
    }

    .datepicker2--time-icon:after,
    .datepicker2--time-icon:before {
      content: '';
      background: currentColor;
      position: absolute;
    }

    .datepicker2--time-icon:after {
      height: .4em;
      width: 1px;
      left: calc(50% - 1px);
      top: calc(50% + 1px);
      -webkit-transform: translateY(-100%);
      transform: translateY(-100%);
    }

    .datepicker2--time-icon:before {
      width: .4em;
      height: 1px;
      top: calc(50% + 1px);
      left: calc(50% - 1px);
    }

    .datepicker2--cell-day.-other-month-,
    .datepicker2--cell-year.-other-decade- {
      color: #dedede;
    }

    .datepicker2--cell-day.-other-month-:hover,
    .datepicker2--cell-year.-other-decade-:hover {
      color: #c5c5c5;
    }

    .-disabled-.-focus-.datepicker2--cell-day.-other-month-,
    .-disabled-.-focus-.datepicker2--cell-year.-other-decade- {
      color: #dedede;
    }

    .-selected-.datepicker2--cell-day.-other-month-,
    .-selected-.datepicker2--cell-year.-other-decade- {
      color: #fff;
      background: #a2ddf6;
    }

    .-selected-.-focus-.datepicker2--cell-day.-other-month-,
    .-selected-.-focus-.datepicker2--cell-year.-other-decade- {
      background: #8ad5f4;
    }

    .-in-range-.datepicker2--cell-day.-other-month-,
    .-in-range-.datepicker2--cell-year.-other-decade- {
      background-color: rgba(92, 196, 239, 0.1);
      color: #cccccc;
    }

    .-in-range-.-focus-.datepicker2--cell-day.-other-month-,
    .-in-range-.-focus-.datepicker2--cell-year.-other-decade- {
      background-color: rgba(92, 196, 239, 0.2);
    }

    .datepicker2--cell-day.-other-month-:empty,
    .datepicker2--cell-year.-other-decade-:empty {
      background: none;
      border: none;
    }